# -*- coding:utf-8-unix -*-
#
# Copyright (c) 2007-2008 BBR Inc.
# This file and all modifications and/or additions are under 
# the same license as package itself.

Name: poppler-data
Version: 0.2.0
Release: 1
License: See the COPYING file
Group: System Environment/Libraries
Vendor:  Poppler project
Packager: Koji Otani (BBR Inc.)
URL:	http://poppler.freedesktop.org/
Summary: Encoding files for use with popple.

BuildRoot: %{_tmppath}/%{name}-%{version}
Source0: poppler-data-%{version}.tar.gz

%description
This package consists of encoding files for use with poppler.  The
encoding files are optional and poppler will automatically read them
if they are present.  When installed, the encoding files enables
poppler to correctly render CJK and Cyrrilic properly.  While poppler
is licensed under the GPL, these encoding files are copyright Adobe
and licensed much more strictly, and thus distributed separately.

%prep
%setup -qc

%build

%install
/bin/rm -rf $RPM_BUILD_ROOT
install -d ${RPM_BUILD_ROOT}/%{_datadir}/poppler-data
(cd poppler-data-%{version};make pkgdatadir=%{_datadir}/poppler-data DESTDIR=${RPM_BUILD_ROOT} install)
install -d ${RPM_BUILD_ROOT}/%{_datadir}/doc/poppler-data
install -m 0644 poppler-data-%{version}/COPYING ${RPM_BUILD_ROOT}/%{_datadir}/doc/poppler-data/
install -m 0644 poppler-data-%{version}/README ${RPM_BUILD_ROOT}/%{_datadir}/doc/poppler-data/

%clean
rm -rf $RPM_BUILD_ROOT

%postun
if [ "$1" = 0 ];then
    if [ -d %{_datadir}/poppler-data.orig ];then
	rm -rf %{_datadir}/poppler
	mv %{_datadir}/poppler-data.orig %{_datadir}/poppler
    fi
fi

%triggerin -- poppler
rm -rf %{_datadir}/poppler-data.orig
mv %{_datadir}/poppler %{_datadir}/poppler-data.orig
cp -r %{_datadir}/poppler-data %{_datadir}/poppler

%triggerpostun -- poppler
if [ "$2" = 0 ];then
    if [ -d %{_datadir}/poppler-data.orig ];then
	rm -rf %{_datadir}/poppler-data.orig
	rm -rf %{_datadir}/poppler
    fi
fi
%files
%defattr(-,root,root)
%{_datadir}/poppler-data
%{_datadir}/doc/poppler-data/README
%{_datadir}/doc/poppler-data/COPYING
